<?php
namespace Bitrix\Main;

interface IHttpRequest
{
	public function getGet($name);
	public function getPost($name);
	public function getFiles($name);
	public function getCookie($name);
	public function getRequestUri();
	public function getRequestMethod();
	public function getUserAgent();
	public function getAcceptedLanguages();
	public function getHttpHost();
	public function isHttps();
}